Replace Dashboard Widgets
Replace Dashboard Widgets
PUT
https://api.ocamba.com/v2/adex/dashboards/{id}/widgets
Sets the widgets on a dashboard you created. A system dashboard cannot be changed.
Note
An empty widgets list removes every widget from the dashboard.
Replacing widgets on a dashboard that does not exist returns 400.
Rate limits:
- Burst: 10/s
- Steady: 150/m
Path parameters
parametersRequest schema
bodyResponse schemas
•
204
No Content
›
400
application/json
›
403
application/json
›
500
application/json
curl -X PUT \
"https://api.ocamba.com/v2/adex/dashboards/{id}/widgets" \
-H "Authorization: Bearer {TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"widgets": [
{
"id": "12",
"grid": {
"h": 11,
"w": 6,
"x": 0,
"y": 0
}
},
{
"id": "15",
"grid": {
"h": 11,
"w": 6,
"x": 6,
"y": 0
}
}
]
}'const url = 'https://api.ocamba.com/v2/adex/dashboards/{id}/widgets';
const options = {
method: 'PUT',
headers: {
Authorization: "Bearer {TOKEN}",
'Content-Type': "application/json"
},
body: JSON.stringify(
{
"widgets": [
{
"id": "12",
"grid": {
"h": 11,
"w": 6,
"x": 0,
"y": 0
}
},
{
"id": "15",
"grid": {
"h": 11,
"w": 6,
"x": 6,
"y": 0
}
}
]
}
)
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}$ch = curl_init("https://api.ocamba.com/v2/adex/dashboards/{id}/widgets");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer {TOKEN}",
"Content-Type: application/json"
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(
[
"widgets" => [
[
"id" => "12",
"grid" => [
"h" => 11,
"w" => 6,
"x" => 0,
"y" => 0
]
],
[
"id" => "15",
"grid" => [
"h" => 11,
"w" => 6,
"x" => 6,
"y" => 0
]
]
]
]
));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);Responses
204 No Content
400 Bad Request
{
"code": 400,
"title": "Bad request.",
"message": "The request is not valid.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
403 Forbidden
{
"code": 403,
"title": "Forbidden",
"message": "You are not allowed to perform this action.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
500 Internal Server Error
{
"code": 500,
"title": "Internal server error.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses